{% layout 'theme' %}{% comment %}<!-- { % layout settings.customer_layout % } -->{% endcomment %}

<div class="container contains-page-title pt10 pb20">
  <div class="row">
    <div class="col-sm-12">
      <h1 class="page-heading fs32 text-center">Login or Create An Account</h1>
    </div>
  </div>
</div>


<div id="container-login" class="container contains-page-title contains-page-content customer-page-container fs14 pt40 pb40">
  <div class="row">
    <div class="col-lg-6 contains-login-section">
      
      <div class="login-section">
        <h2 class="page-heading">
          New here?
          <span class="page-heading-sub color-grey">Registration is free and easy!</span>
        </h2>
        <ul class="fs18 mt20 lh2">
          <li>Faster checkout</li>
          <li>Save multiple shipping addresses</li>
          <li>View and track orders and more</li>
        </ul>
        <p class="mt20">
          <a href="{{ shop.url }}/account/register" class="btn btn-default dark">Create An Account</a>
        </p>
      </div><!-- .login-section -->
      
    </div><!-- .contains-login-section -->
    <div class="col-lg-6 contains-login-section">
      
      <div class="login-section">
        <div id="customer-login">
          <h2 class="page-heading">
            Already registered?
            <span class="page-heading-sub color-grey">If you have an account with us, please log in.</span>
          </h2>
          {% form 'customer_login' %}
            {{ form.errors | default_errors }}
          <p id="login_email" class="clearfix large_form">
            <label for="customer_email" class="login">Email Address</label>
            <input type="email" class="form-control" value="" name="customer[email]" id="customer_email" size="30" />
          </p>
            {% if form.password_needed %}
          <p id="login_password" class="clearfix large_form">
            <label for="customer_password" class="login">Password</label>
            <input type="password" class="form-control" value="" name="customer[password]" id="customer_password" size="16" />
          </p>
            {% endif %}
          <p class="action_bottom regular-content">
            <a href="#" class="link-forgot-password pull-right" onclick="showRecoverPasswordForm();return false;">Forgot your password?</a>
            <input class="btn btn-default dark" type="submit" value="Sign In" />
          </p>
          <p class="regular-content">
            <span class="note">or <a href="{{ shop.url }}">Return to Store</a></span>
          </p>
          {% endform %}
        </div><!-- #customer-login -->

        <div id="recover-password" style="display:none">
          <h2 class="page-heading">
            Reset Password
            <span class="page-heading-sub color-grey">We will send you an email to reset your password.</span>
          </h2>
          {% form 'recover_customer_password' %}
            {{ form.errors | default_errors }}
          <p id="recover_email" class="clearfix large_form">
            <label for="email" class="large">Email</label>
            <input type="email" class="form-control" value="" size="30" name="email" id="recover-email" />
          </p>
          <p class="action_bottom">
            <input class="btn btn-default dark" type="submit" value="Submit" />
          </p>
          <p class="regular-content">
            <span class="note">or <a href="#" onclick="hideRecoverPasswordForm();return false;">Cancel</a></span>
          </p>
          {% endform %}
        </div><!-- #recover-password -->
      </div><!-- .login-section -->
      
    </div><!-- .contains-login-section -->
  </div>
</div>

{% comment %}<!-- div id="template">
  { % if shop.checkout.guest_login %}
  <div id="guest">
    <div class="template_header">
      <h3 class="title">Guest Login</h3>
    </div>
    { % form 'guest_login' %}
      <input class="btn btn-danger" type="submit" value="Continue as Guest" />
    { % endform %}
  </div>
  { % endif %}
</div -->{% endcomment %}


<script type="text/javascript">
  function showRecoverPasswordForm() {
    $('#recover-password').show();
    $('#customer-login').hide();
  }
  function hideRecoverPasswordForm() {
    $('#recover-password').hide();
    $('#customer-login').show();
  }
  if(window.location.hash == '#recover') { showRecoverPasswordForm(); }
</script>
